Skip to content

All graphs

Statistics
POSThttps://api.dcdial.com/api/type=get_all_graphs
Read onlyToken

Returns chart data for a campaign across statistics (total time, total calls, call percentages, average time).

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always get_all_graphs for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • campaign_idintegerrequired

    ID of the campaign.

    Example 1024
Terminal window
curl https://api.dcdial.com/api/ \
-d type=get_all_graphs \
-d token="$DCDIAL_TOKEN" \
-d campaign_id=1024
Response · 200 OK
{
"response": {
"success": "1",
"error": "",
"outbound_graph": [
{
"dialed": "0",
"delivered": "0",
"drops": "0"
},
{
"dialed": "0",
"delivered": "0",
"drops": "0"
}
],
"agent_graph": [
{
"total": "0",
"ready": "0",
"oncalls": "0",
"wrappingup": "0",
"pausedcalls": "0",
"deadcalls": "0"
},
{
"total": "0",
"ready": "0",
"oncalls": "0",
"wrappingup": "0",
"pausedcalls": "0",
"deadcalls": "0"
}
]
}
}

Try it

Environment